# FBB::OFdStream(3bobcat)

## File Descriptor Output Stream
(libbobcat-dev_6.14.00)

## 2005-2026

## NAME

FBB::Ofdstream - Output Stream initialized by a File Descriptor

## SYNOPSIS

#include <bobcat/ofdstream>

## DESCRIPTION

FBB::OFdStream objects may be used to insert information into a device whose file descriptor is available.

File descriptors are not defined within the context of C++, but they can be used on operating systems that support the concept. Realize that using file descriptors introduces operating system dependencies.

Note that sockets can be used as file descriptors.

## NAMESPACE

FBB
All constructors, members, operators and manipulators, mentioned in this man-page, are defined in the namespace FBB.

## INHERITS FROM

std::ostream

## CONSTRUCTORS

- OFdStream(int fd, size_t n = 1):
  The constructor initializes the object to write to descriptor fd, using a buffer of size n, by default having size 1.

Copy and move constructors (and assignment operators) are not available.

## MEMBER FUNCTIONS

All members of std::ostream are available, as FBB::OFdStream inherits from this class. There are no additional members.

## EXAMPLE

See the clientsocket(3bobcat) man-page for an example showing how to use OFdStream.

## FILES

bobcat/ofdstream - defines the class interface

## SEE ALSO

bobcat(7), ifdstream(3bobcat), ofdbuf(3bobcat)

## BUGS

The OFdStream object uses an OFdBuf for its std::streambuf. This buffer is associated with the file descriptor passed to OFdStream's constructor. When the OFdStream object goes out of scope the device (file, socket, etc.) to which the file descriptor that was passed to OFdStream's constructor is not closed.

## BOBCAT PROJECT FILES

- https://fbb-git.gitlab.io/bobcat/: gitlab project page;

Debian Bobcat project files:

- libbobcat6: debian package containing the shared library, changelog and copyright note;
- libbobcat-dev: debian package containing the static library, headers, manual pages, and developer info;

## BOBCAT

Bobcat is an acronym of `Brokken's Own Base Classes And Templates'.

## COPYRIGHT

This is free software, distributed under the terms of the GNU General Public License (GPL).

## AUTHOR

Frank B. Brokken (f.b.brokken@rug.nl).